KParts::HistoryProvider class Reference (kparts Library)

| # kparts Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::HistoryProvider Class Reference

Basic class to manage a history of "items". More...

`#include <historyprovider.h>`

Inheritance diagram for KParts::HistoryProvider:

[legend]
Collaboration diagram for KParts::HistoryProvider:

[legend]
List of all members.

## Signals
void | cleared ()
| Emitted after the history has been cleared.
void | updated (const QStringList &items)
| This signal is never emitted from this class, it is only meant as an interface for subclasses.
## Public Member Functions
| HistoryProvider (QObject *parent=0L, const char *name=0)
| Creates a KHistoryProvider with an optional parent and name.
virtual | ~HistoryProvider ()
| Destroys the provider.
virtual bool | contains (const QString &item) const
virtual void | insert (const QString &item)
| Inserts `item` into the history.
virtual void | remove (const QString &item)
| Removes `item` from the history.
virtual void | clear ()
| Clears the history.
## Static Public Member Functions
HistoryProvider * | self ()
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Basic class to manage a history of "items".

This class is only meant for fast lookup, if an item is in the history or not.

May be subclassed to implement a persistent history for example. For usage with khtml, just create your provider and call the HistoryProvider constructor _before_ you do any khtml stuff. That way, khtml, using the self()-method, will use your subclassed provider.

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

Definition at line 39 of file historyprovider.h.

## Constructor & Destructor Documentation

KParts::HistoryProvider::HistoryProvider | ( | QObject * | parent = 0L,
|  | const char * | name = 0
| ) |

| Creates a KHistoryProvider with an optional parent and name.

virtual KParts::HistoryProvider::~HistoryProvider | ( |  | ) | `[virtual]`

| Destroys the provider.

## Member Function Documentation

virtual bool KParts::HistoryProvider::contains | ( | const QString & | item | ) | const`[virtual]`

| Returns: true if `item` is present in the history.

virtual void KParts::HistoryProvider::insert | ( | const QString & | item | ) | `[virtual]`

| Inserts `item` into the history.

virtual void KParts::HistoryProvider::remove | ( | const QString & | item | ) | `[virtual]`

| Removes `item` from the history.

virtual void KParts::HistoryProvider::clear | ( |  | ) | `[virtual]`

| Clears the history. The cleared() signal is emitted after clearing.

void KParts::HistoryProvider::cleared | ( |  | ) | `[signal]`

| Emitted after the history has been cleared.

void KParts::HistoryProvider::updated | ( | const QStringList & | items | ) | `[signal]`

| This signal is never emitted from this class, it is only meant as an interface for subclasses. Emit this signal to notify others that the history has changed. Put those items that were added or removed from the history into `items`.

The documentation for this class was generated from the following file:

- historyprovider.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:27:04 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001